## libflorist 2011

=== gnatsocks/Makefile ===
# makefile for Gnatsocks tests
#
LIBS = -lsocket -lnsl -largs
FLORISTDIR = /part9/baker/florist-3.10p
GNATMAKEFLAGS1 = -g -A$(FLORISTDIR)/floristlib -aO$(FLORISTDIR)/floristlib
GNATMAKEFLAGS2 = -cargs -gnatg -largs $(LIBS) -lflorist
TESTS = test_sockets sockettest echoserver multiecho multidb test_unix_sockets
SOURCES = sockettest.adb sockets-internet.ads sockets-internet.adb\
   sockets.ads sockets.adb sockets-unix.ads sockets-unix.adb\
   echoserver.adb \
   test_sockets.adb multiecho.adb test_pkg.ads test_pkg.adb\
   table.adb table.ads multidb.adb\
   test_unix_sockets.adb\
   Makefile READ.ME
all : $(TESTS)
$(TESTS):  %: %.adb \
  $(FLORISTDIR)/floristlib/libflorist.a test_parameters.ads test_parameters.adb
	gnatmake  $(GNATMAKEFLAGS1) $@ $(GNATMAKEFLAGS2)
clean:
	-rm -f *~ *# *.o *.ali b_*.c $(TESTS)

=== debian/changelog ===
libflorist (2011-1) unstable; urgency=low

  * New upstream version.
  * Package renamings due to Debian Ada Policy:
    libflorist2009-dev -> libflorist2011-dev
    libflorist2009     -> libflorist2011
  * debian/source/format: new, 3.0 (quilt).
  * debian/source/options, debian/source/local-options: new.
  * debian/control (Build-Depends): Migrate to gnat-4.6 (Closes: #642641).
    Remove quilt.
    (Architecture): any.
    (Conflicts, Replaces): remove, unnecessary.
    (Standards-Version): 3.9.2 with no changes required.
  * Comply with the multilib specification.
  * debian/compat: move to 8.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 13 Oct 2011 22:22:06 +0200

libflorist (2009-3) unstable; urgency=low

  * debian/control (Architecture): add armel.  Closes: #568440.
    (*-dbg): suggest gnat, ada-compiler for visibility.
    (*-dev): also depend on ada-compiler.
    (Standards-Version): update to 3.8.4 with no changes required.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  8 Jun 2010 20:27:58 +0200

libflorist (2009-2) unstable; urgency=low

  * debian/rules (clean): call make distclean only if Makefile exists.
    Closes: #560746.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Dec 2009 10:18:26 +0100

libflorist (2009-1) unstable; urgency=low

  * New upstream version form GNAT GPL 2009 Edition.
  * debian/control (Build-Depends): switch to gnat-4.4.
    (Architectures): remove alpha due to http://gcc.gnu.org/PR42073;
    add kfreebsd-amd64.  Closes: #542418.
    (Depends): add ${misc:Depends} everywhere.
    (Standards-Version): bump to 3.8.3 with no changes required.
  * Package renamings per Debian Policy for Ada:
    libflorist-dev -> libflorist2009-dev (with Conflicts: and Replaces:)
    libflorist2008 -> libflorist2009
  * debian/control (libflorist2009-dbg): move to section debug.
  * debian/compat: bump from 5 to 7.
  * debian/rules: extract aliversion and soversion from debian/control.
    Link the shared library against libpthread. Closes: #558886.
  * debian/patches/compiler_options.patch: remove -fstack-check, it
    produces binary code that easily segfaults in gnat-4.4 on x86.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  5 Dec 2009 14:20:21 +0100
  

libflorist (2008-2) unstable; urgency=low
  
  * debian/florist.gpr (Library_Name): correct the soname.
    (Externally_Built): new.
  * debian/rules (build-stamp): link libflorist.so.* against libgnarl
    and librt (which comes from libc6-dev).
  * Addresses https://bugs.launchpad.net/bugs/316595.  Thanks to David
    Sauvage for reporting.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 15 Jan 2009 09:02:47 +0100
  

libflorist (2008-1) unstable; urgency=low
  
  * New upstream version.
  * Restore support for GNU/kFreeBSD and, possibly, GNU/HURD as well.
    Thanks to Cyril Brulebois for the patch.  Closes: #415084.
    - debian/control (Build-Depends): add quilt.
    - debian/patches/series, debian/patches/kfreebsd.patch: new.
    - debian/rules: use quilt to apply and revert the above patches.
  * debian/control:
    (Standards-Version): update to 3.8.0.
    (Build-Depends): Migrate to gnat-4.3.
    (Architecture): add mips, mipsel and ppc64.  Closes: #479075
    (libflorist2006): rename to libflorist2008 and bump the soname.
    (libflorist-dbg): new.
  * debian/florist.gpr: turn into a library project file.
  * debian/rules: provide all files, not just Ada files, in the -dev
    package, so users can use gdb into the library in case of need.
    Use all processors available when building.
  * debian/patches/compiler_options.patch: compile with all optional
    run-time checks enabled, and debugging options.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 20 Jul 2008 18:03:14 +0200
  

libflorist (2006-1) unstable; urgency=low
  
  * debian/control (Maintainer): update email address, I'm now a full DD.
    (Build-Depends): update to gnat (>= 4.1).
    (Standards-Version): update to 3.7.2 with no changes required.
    (Architecture): add alpha, amd64, hppa, ia64, kfreebsd-i386 and s390.
    (libflorist-3.15p-1-dev): rename to libflorist-dev, with Conflict and
    Replace.  Depend on gnat-4.1.
    (libflorist-3.15p-1): rename to libflorist2006.
  * debian/control: soname bump to libflorist.so.2006.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 21 Sep 2006 18:49:32 +0200
  

libflorist-3.15p-1 (3.15p-5) unstable; urgency=low
  
  * debian/control: Change maintainer's email address.  Bump
    standards-version to 3.6.2 (from 3.6.1.1) with no changes.
  * debian/rules (regexp): accept any character as the Debian upload
    number.  Closes: #359891.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Sat,  1 Apr 2006 12:36:36 +0200

libflorist-3.15p-1 (3.15p-4) unstable; urgency=low
  
  * Added a GNAT project file.  Closes: #266694.
  * Recompiled because s-osinte.ads has been modified in gnat.
    Closes: #266700.
  * debian/rules: accept dots in Debian revision numbers in case of NMU.
  * debian/libflorist-3.15p-1-dev.postinst: Remove.  Do not chmod the
    *.ali files anymore.  Newer versions of dh_fixperms does that for us.
  * debian/control: Build-Depend on debhelper (>= 4.2.13).
  * debian/control: Update Standards-Version to 3.6.1.1.
  * debian/copyright: Mention /usr/share/common-licenses/GPL.
    Closes: #266697.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Wed, 18 Aug 2004 20:03:40 +0200

libflorist-3.15p-1 (3.15p-3) unstable; urgency=low

  * Work around a compilation problem caused by libc6-dev 2.3.2.ds1-10 in
  Sid (no problem in Sarge with libc6-dev 2.3.2-9).

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Tue, 11 Nov 2003 18:04:34 +0100

libflorist-3.15p-1 (3.15p-2) unstable; urgency=low

  * Rebuild the static library without -fPIC, and the shared library with
  it.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Tue, 19 Aug 2003 13:45:07 +0200

libflorist-3.15p-1 (3.15p-1) unstable; urgency=low

  * Initial Release.
	


=== debian/control ===
Source: libflorist
Section: libs
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Build-Depends: debhelper (>> 8), gnat, gnat-4.6
Standards-Version: 3.9.2

Package: libflorist2011-dev
Section: libdevel
Architecture: any
Depends: libflorist2011 (= ${binary:Version}), gnat, gnat-4.6, ada-compiler, ${misc:Depends}
Description: POSIX.5 Ada interface to operating system services
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the development files and unstripped static
 library.

Package: libflorist2011
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: POSIX.5 Ada interface to operating system services
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the run-time shared library.

Package: libflorist-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libflorist2011 (=${binary:Version}), ${misc:Depends}
Recommends: libflorist2011-dev (=${binary:Version})
Suggests: gnat, ada-compiler
Description: POSIX.5 Ada interface to operating system services
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the debugging symbols for the run-time shared library.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export SHELL=/bin/bash

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CPUS ?= $(shell getconf _NPROCESSORS_ONLN)

CFLAGS = -Wall -g

aliversion := $(shell sed -n -r 's/^Package: libflorist(.*)-dev$$/\1/p' debian/control)
soversion := $(shell sed -n -r 's/^Package: libflorist([^-]*)$$/\1/p' debian/control)

.PHONY: prebuild
prebuild:
	dh_testdir
	dh_prep

config.status: configure
	dh_testdir
	CC="gnatgcc -w" ./configure \
	   --host=$(DEB_HOST_GNU_TYPE) \
	   --build=$(DEB_BUILD_GNU_TYPE) \
	   --prefix=/usr \
	   --mandir=\$${prefix}/share/man \
	   --infodir=\$${prefix}/share/info

libflorist.a: config.status
	: # Build the static library as per the upstream Makefile
	$(MAKE) GNATMAKEFLAGS1B="-g -O2" GCCFLAGS="-g -O2" GNATMAKE="gnatmake -j$(CPUS)"
	rm *.o *.ali
	mv floristlib/libflorist.a $@
	mv floristlib obj-static

libflorist.so.$(soversion): config.status
	: # Build the shared library
	$(MAKE) GNATMAKEFLAGS1B="-O2 -fPIC" GCCFLAGS="-O2 -fPIC" GNATMAKE="gnatmake -j$(CPUS) -fPIC"
	rm floristlib/libflorist.a deps.o *.ali
	mv *.o floristlib
	mv floristlib obj-shared
	gnatgcc -shared obj-shared/*.o \
		-o libflorist.so.$(soversion) \
		-Wl,--soname,libflorist.so.$(soversion) \
		-lgnat -lgnarl -lrt -lpthread

build-arch: prebuild config.status libflorist.a libflorist.so.$(soversion)

build-indep:
# Nothing to do.

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -rf obj-static obj-shared
	if [ -f Makefile ] ; then $(MAKE) distclean; fi
	rm -f config.{h,log,status} gnatprep.config Makefile pconfig.h \
		pconfig.h.in stamp-h c-posix-signals c-posix-signals.log \
		libflorist*
	dh_clean

.PHONY: libflorist$(soversion)
libflorist$(soversion): build-arch
	dh_testroot
	dh_install -p$@ libflorist.so.$(soversion) usr/lib/$(DEB_HOST_MULTIARCH)
	dh_strip -p$@ --dbg-package=libflorist-dbg
	dh_makeshlibs -p$@
	dh_shlibdeps -p$@

.PHONY: libflorist$(aliversion)-dev
libflorist$(aliversion)-dev: build-arch
	dh_testroot
	dh_installdirs -p$@ \
		usr/share/ada/adainclude/florist \
		usr/lib/ada/adalib/florist
	dh_installdocs -p$@ README
	dh_link -p$@ \
		usr/lib/$(DEB_HOST_MULTIARCH)/libflorist.so.$(soversion) \
		usr/lib/$(DEB_HOST_MULTIARCH)/libflorist.so
	dh_install -p$@ libflorist.a usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$@ obj-shared/*.ad[bs] usr/share/ada/adainclude/florist
	dh_install -p$@ *.c *.h usr/share/ada/adainclude/florist
	dh_install -p$@ debian/florist.gpr usr/share/ada/adainclude
	dh_install -p$@ obj-shared/*.ali usr/lib/ada/adalib/florist

.PHONY: libflorist-dbg
libflorist-dbg: build-arch
	dh_testroot
	dh_installdocs -p$@

.PHONY: binary-arch
binary-arch: build libflorist$(soversion) libflorist$(aliversion)-dev libflorist-dbg
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

.PHONY: binary-indep
binary-indep:
# Nothing to do.

.PHONY: binary
binary: binary-indep binary-arch

## libflorist 2013

=== debian/changelog ===
libflorist (2013-1) unstable; urgency=medium

  * New upstream release, compiled with gnat-4.9.
    Library and -dev package renamed per Ada policy.
  * Recreate ./configure before building.
  * Switch to dh-ada-library (>= 6.1). Build shared lib with same project.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 02 May 2014 15:51:37 +0200

libflorist (2011-2) unstable; urgency=medium

  * Add myself to uploaders.
  * control: remove obsolete Depends: ada-compiler. Closes: #743785.
  * Pass hardening flags to build system.
  * Actually embed the sources.
  * Switch to debhelper 9.
  * florist.gpr: generated to make the lib package multiarch: same.
  * copyright: machine readable format 1.0.
  * README.Debian: reference Ada policy.
  * patches: documented, refreshed.
  * control: VCS-*, Homepage, Standards-Version 3.9.5.
  * source/options: compress Debian diff with dpkg-dev default (xz).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 14 Apr 2014 01:46:01 +0200

=== debian/control ===
Source: libflorist
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-4.9,
 dh-ada-library (>= 6.1),
 autoconf
# dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
# gnat >= 4.6.4-2 provides /usr/share/ada/debian_packaging.mk.
# dh-ada-library >= 6.1 understands Excluded_Source_Files.
Standards-Version: 3.9.5
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libflorist
Vcs-Mtn: www.ada-france.org org.debian.libflorist
Homepage: http://libre.adacore.com
XS-Testsuite: autopkgtest

Package: libflorist2013-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: POSIX.5 Ada interface to operating system services: development
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the development files and unstripped static
 library.

Package: libflorist2013
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: POSIX.5 Ada interface to operating system services: shared library
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the run-time shared library.

Package: libflorist-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: POSIX.5 Ada interface to operating system services: debug symbols
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the debugging symbols for the run-time shared library.

## libflorist 2014

=== debian/changelog ===
libflorist (2014-2) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 17:59:46 +0200

libflorist (2014-1) unstable; urgency=medium

  * New upstream release. Per Ada policy, library and -dev packages are
    renamed, -dev Breaks and Replaces previous -dev built with same compiler.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 05 Oct 2014 11:22:55 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,15 @@
 # dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
 # gnat >= 4.6.4-2 provides /usr/share/ada/debian_packaging.mk.
 # dh-ada-library >= 6.1 understands Excluded_Source_Files.
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libflorist
 Vcs-Mtn: www.ada-france.org org.debian.libflorist
 Homepage: http://libre.adacore.com
 XS-Testsuite: autopkgtest
 
-Package: libflorist2013-dev
+Package: libflorist2014-dev
+Breaks: libflorist2013-dev
+Replaces: libflorist2013-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: POSIX.5 Ada interface to operating system services: development
@@ -28,7 +30,7 @@
  This package contains the development files and unstripped static
  library.
 
-Package: libflorist2013
+Package: libflorist2014
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2003-2014 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2015 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

######################
# Set some variables #
######################

include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging.mk

DEB_DATE_RFC_2822 := $(shell dpkg-parsechangelog -S date)
DEB_DATE_RFC_3339 := $(shell date "+%F %T" -d "$(DEB_DATE_RFC_2822)")

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ADAFLAGS += -gnatVa -gnatafno -gnatwa
CFLAGS += -w
LDLIBS := -lrt -lpthread

soversion := $(shell sed -n -e "s/^Package: libflorist\([[:digit:]]\+\)$$/\1/p" debian/control)
ifndef soversion
  $(warning Could not guess soversion from debian/control)
  # Not error. Policy defines targets that may be run from outside build dir.
endif

POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with ada-library

override_dh_auto_configure-arch:
	mv -n configure configure.backup
	autoconf
	dh_auto_configure
override_dh_auto_clean::
	if test -f configure.backup; then mv configure.backup configure; fi

# Ignore install target in upstream Makefile.
override_dh_auto_install:

lib-shared obj-shared:
	mkdir $@

# Compile macros with -fPIC, store them where gnatmake will see them.
MACRO_SRC := posix-macros posix-macros-sockets
MACRO_OBJ := $(foreach m,$(MACRO_SRC),obj-shared/$(m).o)
$(MACRO_OBJ): obj-shared/%.o: %.c pconfig.h | obj-shared
	$(CC) $(CFLAGS) -fPIC $(CPPFLAGS) $(OUTPUT_OPTION) -c $<

override_dh_auto_build-arch: $(MACRO_OBJ) | lib-shared obj-shared

	$(MAKE) generated-sources GCCFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)"

	# Touch generated sources for deterministic ALI files and tar headers.
	find . -depth -newermt '$(DEB_DATE_RFC_3339)' -print0 | \
	  xargs -0r touch --no-dereference --date='$(DEB_DATE_RFC_3339)'

	# Build the static library as per the upstream Makefile
	$(MAKE) \
          GCCFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" \
          GNATMAKE="gnatmake $(BUILDER_OPTIONS) '-XADAFLAGS=$(ADAFLAGS)'"

	# Build the shared library
	gnatmake $(BUILDER_OPTIONS) -P debian/florist.gpr $(foreach v, \
          ADAFLAGS LDFLAGS LDLIBS soversion \
          ,"-X$(v)=$($(v))")

override_dh_auto_clean::
	rm -rf lib-shared obj-shared
 # Run upstream clean target.
	dh_auto_clean

override_dh_ada_library:
	dh_ada_library $(foreach v, \
          LDLIBS soversion \
          ,"$(v)=$($(v))") debian/florist.gpr

## libflorist 2016

=== debian/changelog ===
libflorist (2016-1) unstable; urgency=medium

  * New upstream release built with gnat-6. Per Ada policy,
    rename lib and -dev packages and drop obsolete Conflict/Replace.
  * Licence change from GPL-2+ to GPL-3+.
  * As gnatmake drops support for projects, gprbuild is required.
    Divergence from upstream build system can be reduced.
  * Switch from manual -dbg packages to automatic -dbgsym.
  * watch file using Adacore redirector.
  * Enable all hardening flags but PIE.
  * Standards-Version: 3.9.8 (no changes).
  * Drop XS-Testsuite: autopkgtest, now set automatically.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Jul 2016 16:30:49 +0200

=== debian/control ===
Source: libflorist
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
# dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
 gnat, gnat-6,
 dh-ada-library (>= 6.7),
# 6.7 knows that -dbg packages are optional.
 gprbuild (>= 2015-2),
# 2015-2 handles gnat-6
 autoconf
Standards-Version: 3.9.8
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libflorist
Vcs-Mtn: www.ada-france.org org.debian.libflorist
Homepage: http://libre.adacore.com

Package: libflorist2016-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: POSIX.5 Ada interface to operating system services: development
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the development files and unstripped static
 library.

Package: libflorist2016
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: POSIX.5 Ada interface to operating system services: shared library
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the run-time shared library.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2003-2014 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2016 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

######################
# Set some variables #
######################

DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging*.mk

DEB_DATE := $(shell dpkg-parsechangelog -S date)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ADAFLAGS += -gnatVa -gnatafno -gnatwa
CFLAGS += -w

soversion := $(shell sed -n \
  '/^Package: libflorist\([[:digit:]]\+\)$$/{s//\1/;p;q}' debian/control)
ifndef soversion
  $(warning Could not guess soversion from debian/control)
  # Not error. Policy defines targets that may be run from outside build dir.
endif

POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with ada-library

.PHONY: $(addprefix override_dh_auto_, configure build test install clean)

override_dh_auto_configure: configure.backup
	dh_auto_configure -- $(foreach v, \
	  ADAFLAGS CC CFLAGS CPPFLAGS LDFLAGS \
	  ,"$(v)=$($(v))")

configure.backup:
	mv configure configure.backup
	autoconf
override_dh_auto_clean::
	if test -f configure.backup; then mv configure.backup configure; fi

GPR_CONFIG := default.cgpr
override_dh_auto_build: $(GPR_CONFIG)
$(GPR_CONFIG):
	gprconfig --batch --config=Ada --config=C,,,,gnatgcc
override_dh_auto_clean::
	rm -f $(GPR_CONFIG)

override_dh_auto_build:
	$(MAKE) LIBRARY_TYPE_OPTION=-XLIBRARY_TYPE=static \
	  "GPRBUILD_FLAGS=$(BUILDER_OPTIONS) -XSOVERSION=$(soversion)"

	# Touch generated sources for deterministic ALI files.
	# Touch all recent files so that Make does not regenerate everything.
	find . -depth -newermt '$(DEB_DATE)' -print0 | \
	  xargs -0r touch --no-dereference --date='$(DEB_DATE)'

	$(MAKE) LIBRARY_TYPE_OPTION=-XLIBRARY_TYPE=relocatable \
	  "GPRBUILD_FLAGS=$(BUILDER_OPTIONS) -XSOVERSION=$(soversion)"
override_dh_auto_clean::
	dh_auto_clean

.PHONY: override_dh_ada_library
override_dh_ada_library:
	dh_ada_library LIBRARY_TYPE=relocatable \
	  SOVERSION=$(soversion) florist.gpr

=== debian/watch ===
version=4
opts=\
  filenamemangle=s/^.*download=// \
  https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/florist \
  .*florist-gpl-(\d{4})-src\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libflorist 2017

=== debian/changelog ===
libflorist (2017-3) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 4.0.1 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 19:00:56 +0200

libflorist (2017-2) experimental; urgency=medium

  * Let gprbuild (>= 2017) ignore Library_Options for static linking.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 23 Jul 2017 18:15:49 +0200

libflorist (2017-1) experimental; urgency=medium

  * Built with gnat-7, which deals with SOURCE_DATE_EPOCH by itself.
    Rename runtime and -dev package per Ada policy.
  * New upstream release, almost unchanged.
  * Debhelper 10, which dealss with autoconf by itself.
    Disable autoheader.
  * Standards-Version 4.0.0.  HTTPS copyright format URL.
  * Enable all hardening flags.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 12 Jul 2017 13:19:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
 # dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
- gnat, gnat-6,
+ gnat, gnat-7,
+# This line is parsed by debian/rules.
  dh-ada-library (>= 6.7),
 # 6.7 knows that -dbg packages are optional.
- gprbuild (>= 2015-2),
+ gprbuild (>= 2015-2)
 # 2015-2 handles gnat-6
- autoconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libflorist
 Vcs-Mtn: www.ada-france.org org.debian.libflorist
 Homepage: http://libre.adacore.com
 
-Package: libflorist2016-dev
+Package: libflorist2017-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: POSIX.5 Ada interface to operating system services: development
@@ -28,7 +28,7 @@
  This package contains the development files and unstripped static
  library.
 
-Package: libflorist2016
+Package: libflorist2017
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2003-2014 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2017 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

######################
# Set some variables #
######################

define new_line :=


endef
$(eval $(addsuffix $(new_line),$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/ \
    GNAT_VERSION:=\1 \
  /p;\
  s/^Package: libflorist\([0-9.]\+\)$$/ \
    soversion:=\1 \
  /p;\
  ' debian/control)))

DEB_CFLAGS_MAINT_APPEND := -w
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

ADAFLAGS += -gnatVa -gnatafno -gnatwa

%:
	dh $@ --with ada-library

# Disable autoheader, upstream maintains the macros manually.
.PHONY: override_dh_autoreconf
override_dh_autoreconf:
	AUTOHEADER=true dh_autoreconf

.PHONY: $(addprefix override_dh_auto_, configure build test install clean)

override_dh_auto_configure:
	dh_auto_configure -- $(foreach v, \
	  ADAFLAGS CC CFLAGS CPPFLAGS LDFLAGS \
	  ,"$(v)=$($(v))")

GPR_CONFIG := default.cgpr
override_dh_auto_build: $(GPR_CONFIG)
$(GPR_CONFIG):
	gprconfig --batch --config=Ada --config=C,,,,gnatgcc
override_dh_auto_clean::
	rm -f $(GPR_CONFIG)

override_dh_auto_build:
	$(MAKE) LIBRARY_TYPE_OPTION=-XLIBRARY_TYPE=static \
	  "GPRBUILD_FLAGS=$(BUILDER_OPTIONS) -XSOVERSION=$(soversion)"
	$(MAKE) LIBRARY_TYPE_OPTION=-XLIBRARY_TYPE=relocatable \
	  "GPRBUILD_FLAGS=$(BUILDER_OPTIONS) -XSOVERSION=$(soversion)"
override_dh_auto_clean::
	dh_auto_clean

.PHONY: override_dh_ada_library
override_dh_ada_library:
	dh_ada_library LIBRARY_TYPE=relocatable \
	  SOVERSION=$(soversion) florist.gpr

=== debian/watch ===
version=4
opts=\
  filenamemangle=s/^.*download=// \
  https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/florist \
  .*florist-gpl@ANY_VERSION@-src@ARCHIVE_EXT@

## libflorist 2022.0.0

=== tests/Makefile ===
# file: Makefile for POSIX 1003.5b Test Suite
# [$Revision$]
#
# This builds the test suite for POSIX 1003.5 and 1003.5b.
# This version is for use with the GNAT Ada compiler
# and the Florist implementation of POSIX 1003.5b.
#
.POSIX:
#
MASTERDIR=/part1/florist/tests
PAVT_VERSION=pavt-1.4.1
# The following definitions are for using the default installed GNAT
# runtime system.
GNATMAKEFLAGS1 = -I../floristlib -L../floristlib
#
GNATMAKEFLAGS2= -cargs -gnatay -gnatwue -largs -lflorist
GNATMAKEFLAGS2a= -cargs -largs -lflorist
GNATPREPFLAGS = -c -r
TOOLS =\
 renumber.adb\
 run_tests_1
DOCS =\
 README\
 NOTES.LINUX\
 NOTES.SOLARIS\
 NOTES
TEST_SOURCES = \
 posix_report.ads\
 posix_report.adb\
 test_parameters.ads\
 test_parameters.gpb\
 p020400.adb\
 p020400.ads\
 p021000.adb\
 p021000.ads\
 p030100.adb\
 p030100.ads\
 p030100b.adb\
 p030100b.ads\
 p030101.adb\
 p030101.ads\
 p030101b.adb\
 p030101b.ads\
 p030102.adb\
 p030102.ads\
 p030200.adb\
 p030200.ads\
 p030300.adb\
 p030300.ads\
 p030300a.adb\
 p030300a.ads\
 p030301.adb\
 p030301.ads\
 p030301b.adb\
 p030301b.ads\
 p030303.adb\
 p030303.ads\
 p030304.adb\
 p030304.ads\
 p030305.adb\
 p030305.ads\
 p030306.adb\
 p030306.ads\
 p030306a.adb\
 p030306a.ads\
 p040100.adb\
 p040100.ads\
 p040101.adb\
 p040101.ads\
 p040300.adb\
 p040300.ads\
 p040301.adb\
 p040301.ads\
 p050100.adb\
 p050100.ads\
 p050200.adb\
 p050200.ads\
 p050300.adb\
 p050300.ads\
 p060100.adb\
 p060100.ads\
 p060200.adb\
 p060200.ads\
 p060300.adb\
 p060300.ads\
 p070200.adb\
 p070200.ads\
 p090100.adb\
 p090100.ads\
 p090200.adb\
 p090200.ads\
 p110100.adb\
 p110100.ads\
 p110101.adb\
 p110101.ads\
 p110200.adb\
 p110200.ads\
 p110201.adb\
 p110201.ads\
 p110300.adb\
 p110300.ads\
 p120100.adb\
 p120100.ads\
 p120101.adb\
 p120101.ads\
 p120200.adb\
 p120200.ads\
 p120300.adb\
 p120300.ads\
 p120400.adb\
 p120400.ads\
 p120500.adb\
 p120500.ads\
 p120501.adb\
 p120501.ads\
 p120502.adb\
 p120502.ads\
 p120502a.adb\
 p120502a.ads\
 p140100.adb\
 p140100.ads\
 p140101.adb\
 p140101.ads\
 p150100.adb\
 p150100.ads\
 p150100b.adb\
 p150100b.ads\
 p150101.adb\
 p150101.ads\
 p990000.adb\
 p990000.ads\
 p990001a.adb\
 p990001a.ads\
 p990001b.adb\
 p990001b.ads\
 p990001c.adb\
 p990001c.ads\
 p990002a.adb\
 p990002a.ads\
 p990002b.adb\
 p990002b.ads\
 p990002c.adb\
 p990002c.ads\
 p990002d.adb\
 p990002d.ads\
 p990003a.adb\
 p990003a.ads\
 p990003b.adb\
 p990003b.ads\
 p990010.adb\
 p990010.ads\
 p990010a.ads\
 p990020.adb\
 p990020.ads\
 p990020a.ads\
 p990030.adb\
 p990030.ads\
 p990030a.ads\
 p990040.adb\
 p990040.ads\
 p990040a.ads\
 p990040b.adb\
 p990040b.ads\
 p990050.adb\
 p990050.ads\
 p990050a.ads\
 p990050b.adb\
 p990050b.ads\
 p990060.adb\
 p990060.ads\
 p990060a.ads\
 p990070.adb\
 p990070.ads\
 p990070a.ads\
 p990080.adb\
 p990080.ads\
 p990080a.ads\
 p990090.adb\
 p990090.ads\
 p990090a.ads\
 p990011.adb\
 p990011.ads\
 p990011a.ads\
 p9900doc.ads\
 p9900x0.adb\
 p9900x0.ads
TESTS =\
 p021000\
 p030100\
 p030100b\
 p030101\
 p030101b\
 p030102\
 p030200\
 p030301\
 p030301b\
 p030303\
 p030304\
 p030305\
 p030306\
 p030306a\
 p040100\
 p040101\
 p040300\
 p040301\
 p050100\
 p050200\
 p050300\
 p060100\
 p060200\
 p060300\
 p070200\
 p090100\
 p090200\
 p110100\
 p110101\
 p110200\
 p110201\
 p110300\
 p120100\
 p120101\
 p120200\
 p120300\
 p120400\
 p120500\
 p120501\
 p120502\
 p120502a\
 p140101\
 p150100b\
 p150101
SPECIAL_TESTS=\
 p020400\
 p030300\
 p030300a\
 p140100\
 p150100\
 p990010\
 p990020\
 p990030\
 p990040\
 p990040b\
 p990050\
 p990050b\
 p990060\
 p990070\
 p990080\
 p990090\
 p990011
#
.SUFFIXES: .gps .gpb .ads .adb .o .c
.gps.ads:
	gnatprep $< $@ ../gnatprep.config $(GNATPREPFLAGS)
.gpb.adb:
	gnatprep $< $@ ../gnatprep.config $(GNATPREPFLAGS)
.c.o:
	gcc -c -g $<
#
tests: $(TESTS) $(SPECIAL_TESTS)
#
p020400:  p020400.ads p020400.adb
p021000:  p021000.ads p021000.adb 
p030100:  p030100.ads p030100.adb p030100b
p030100b: p030100b.ads p030100b.adb
p030101:  p030101.ads p030101.adb
p030101b: p030101b.ads p030101b.adb
p030102:  p030102.ads p030102.adb p030101b
p030102b: p030102b.ads p030102b.adb
p030200:  p030200.ads p030200.adb
p030300:  p030300.ads p030300.adb p030300a.ads
p030300a: p030300a.ads p030300a.adb
p030301:  p030301.ads p030301.adb p030301b
p030301b: p030301b.ads p030301b.adb
p030303:  p030303.ads p030303.adb
p030304:  p030304.ads p030304.adb
p030305:  p030305.ads p030305.adb
p030306:  p030306.ads p030306.adb p030306a p030300a
p030306a: p030306a.ads p030306a.adb p030300a
p040100:  p040100.ads p040100.adb
p040101:  p040101.ads p040101.adb
p040300:  p040300.ads p040300.adb
p040301:  p040301.ads p040301.adb
p050100:  p050100.ads p050100.adb
p050200:  p050200.ads p050200.adb
p050300:  p050300.ads p050300.adb
p060100:  p060100.ads p060100.adb
p060200:  p060200.ads p060200.adb
p060300:  p060300.ads p060300.adb
p070200:  p070200.ads p070200.adb
p090100:  p090100.ads p090100.adb
p090200:  p090200.ads p090200.adb
p110100:  p110100.ads p110100.adb
p110101:  p110101.ads p110101.adb
p110200:  p110200.ads p110200.adb
p110201:  p110201.ads p110201.adb
p110300:  p110300.ads p110300.adb
p120100:  p120100.ads p120100.adb
p120101:  p120101.ads p120101.adb
p120200:  p120200.ads p120200.adb
p120300:  p120300.ads p120300.adb
p120400:  p120400.ads p120400.adb
p120500:  p120500.ads p120500.adb
p120501:  p120501.ads p120501.adb
p120502:  p120502.ads p120502.adb p120502a
p120502a: p120502a.ads p120502a.adb
p140100:  p140100.ads p140100.adb
p140101:  p140101.ads p140101.adb
p150100:  p150100.ads p150100.adb p150100b
p150100b: p150100b.ads p150100b.adb
p150101:  p150101.ads p150101.adb
p990010:  p990010.ads p990010.adb\
  p990010a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001a.ads p990001a.adb\
  p990002a.ads p990002a.adb\
  p990003a.ads p990003a.adb
p990020:  p990020.ads p990020.adb\
  p990020a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001b.ads p990001b.adb\
  p990002b.ads p990002b.adb\
  p990003a.ads p990003a.adb
p990030:  p990030.ads p990030.adb\
  p990030a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001b.ads p990001b.adb\
  p990002c.ads p990002c.adb\
  p990003a.ads p990003a.adb
p990040:  p990040.ads p990040.adb p990040b\
  p990040a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001c.ads p990001c.adb\
  p990002a.ads p990002a.adb\
  p990003b.ads p990003b.adb
p990040b:  p990040b.ads p990040b.adb\
  p990040a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001c.ads p990001c.adb\
  p990002a.ads p990002a.adb\
  p990003b.ads p990003b.adb
p990050:  p990050.ads p990050.adb p990050b\
  p990050a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001c.ads p990001c.adb\
  p990002d.ads p990002d.adb\
  p990003b.ads p990003b.adb
p990050b:  p990050b.ads p990050b.adb\
  p990050a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001c.ads p990001c.adb\
  p990002d.ads p990002d.adb\
  p990003b.ads p990003b.adb
p990060:  p990060.ads p990060.adb\
  p990060a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001b.ads p990001b.adb\
  p990002a.ads p990002a.adb\
  p990003a.ads p990003a.adb
p990070:  p990070.ads p990070.adb\
  p990070a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001c.ads p990001c.adb\
  p990002a.ads p990002a.adb\
  p990003a.ads p990003a.adb
p990080:  p990080.ads p990080.adb\
  p990080a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001a.ads p990001a.adb\
  p990002d.ads p990002d.adb\
  p990003a.ads p990003a.adb
p990090:  p990090.ads p990090.adb\
  p990090a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001a.ads p990001a.adb\
  p990002b.ads p990002b.adb\
  p990003a.ads p990003a.adb
p990011:  p990011.ads p990011.adb\
  p990090a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001a.ads p990001a.adb\
  p990002c.ads p990002c.adb\
  p990003a.ads p990003a.adb
testit: testit.adb
test_parameters.adb: test_parameters.gpb
$(TESTS) testit:  posix_report.ads posix_report.adb\
  ../floristlib/libflorist.a test_parameters.ads test_parameters.adb
	gnatmake  $(GNATMAKEFLAGS1) $@ $(GNATMAKEFLAGS2)
#
# Due to zealousness of the "-gnaty" style-checker,
# the following tests need to be compiled without "-gnaty".
#
$(SPECIAL_TESTS):  posix_report.ads posix_report.adb\
  ../floristlib/libflorist.a test_parameters.ads test_parameters.adb
	gnatmake  $(GNATMAKEFLAGS1) $@ $(GNATMAKEFLAGS2a)
#
# Make a separate directory in which to run the tests,
# so we have less chance of a wild test trashing our sources.
#
test.dir:
	mkdir test.dir
	ln -s .. test.dir/bin
#
# Compile all the tests
#
# Run all the tests
# Some tests require that the standard error file be a terminal.
run_tests: $(TESTS) $(SPECIAL_TESTS) test.dir
	-cd test.dir; ../run_tests_1 >> run_tests_1.log
#
# -----------------------------------
# Maintenance targets.
# -----------------------------------
#
# remove editor and compiler generated files
clean:
	rm -f *.o *.ali a.out *# *~ $(LITTER) $(TESTS)\
 $(SPECIAL_TESTS) b~*.ad* b_*.c *.log
	touch florist
# remove all generated files
realclean:
	rm -f *.o *.ali $(TESTS) $(SPECIAL_TESTS) \
             a.out *# *~ b~*.ad* b_*.c $(GENERATED) $(LITTER)
#
# The following targets are only for use by the implementors.
#
# check all sources into RCS directory
# and remove everything except "Makefile"
distclean:
	rm -f *.o *.ali $(TESTS) $(SPECIAL_TESTS) \
          a.out *# *~ b~*.ad* b_*.c $(GENERATED) $(LITTER)
	rm -rf test.dir
	-ci -m"make distclean" $(TEST_SOURCES) $(TOOLS) Makefile $(DOCS)
	-co Makefile
# check out all sources, ready for editing
neat:
	-co -l $(TEST_SOURCES) $(TOOLS) $(DOCS)
	-co -l Makefile
# check out all sources, read-only
checkallout:
	-co $(TEST_SOURCES) $(TOOLS) $(DOCS)
	-co Makefile
	rm -f $(GENERATED)
# make tarfile of just the POSIX.5b validation tests
distribution: make_test_links
	rm -f ${PAVT_VERSION}.tar.gz
	./make_test_links ./${PAVT_VERSION} $(MASTERDIR)
	tar cvhf ${PAVT_VERSION}.tar ${PAVT_VERSION}
	gzip ${PAVT_VERSION}.tar
rts: s-interr.adb s-intman.adb s-inmaop.adb
	gnatmake  -a $(GNATMAKEFLAGS1) dummy $(GNATMAKEFLAGS2a)

=== debian/changelog ===
libflorist (2022.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:59:50 +0200

libflorist (2022.0.0-1) experimental; urgency=medium

  * Build new upstream release with gcc-11 for experimental.
    Rename lib and -dev packages accordingly.
  * Standards-Version: 4.6.0.
  * Add Homepage, Upstream-Contact, upstream metadata, watch file.
  * copyright: update, merge stanzas with the same license.
  * Split patches and forward them.
  * Use unversioned debian_packaging.mk from gnat package.
  * Remove -gnatwa redundant option from debian/rules.
  * compiler_options.patch: sort modified files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Nov 2021 09:32:56 +0000

libflorist (2017-9) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.
  * Prefer gnatgcc (for Ada) to CC (for C).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 13:09:57 +0100

libflorist (2017-8) experimental; urgency=medium

  * Build with gnat-10. Rename lib and -dev accordingly.
  * Debhelper 13.
  * Drop obsolete Pre-Depends.
  * Pass build flags via the environment.
  * Drop --as-needed which is now enabled by default.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 12 Jun 2020 19:32:16 +0000

libflorist (2017-7) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Debhelper 12 dh-sequence syntax.
  * Standards-Version: 4.5.0.
  * Drop obsolete branch in Vcs-Git.
  * Select specific dpkg-dev Makefile snippet.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 11:41:02 +0100

libflorist (2017-6) experimental; urgency=medium

  * Rebuild with gnat-9 in experimental. Rebuild both packages per Ada policy.
  * Make explicit that the package is orphaned upstream.
  * Move the packaging history to salsa.debian.org.
  * Standards-Version 4.4.0. Rules-Requires-Root: no.
  * Debhelper 12.
  * dh-ada-library ignores soversion, use a separate configuration file
  * gprbuild now handles default.cgpr by itself.
  * Let dh_auto_build select options like -j for Make.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 21 Jul 2019 00:44:17 +0200

libflorist (2017-5) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:54 +0200

libflorist (2017-4) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev package per Debian Ada policy.
    Patch handling function renamings.
  * Remove watch file. Explain why in README.source.
  * Debhelper 11.
  * Drop obsolete version restriction for dpkg-dev.
  * Standards-Version: 4.1.4.
  * Update Vcs-Mtn and Homepage.
  * Remove trailing white spaces in this changelog.
  * Let run time tests produce more debug information.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 14:59:04 +0200

=== debian/control ===
Source: libflorist
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gnat,
 gnat-11,
 dh-ada-library (>= 7.5),
 dh-sequence-ada-library,
# 6.7 knows that -dbg packages are optional.
 gprbuild (>= 2015-2)
# 2015-2 handles gnat-6
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libflorist
Vcs-Git: https://salsa.debian.org/debian/libflorist.git
Homepage: https://github.com/AdaCore/florist

Package: libflorist2021-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: POSIX.5 Ada interface to operating system services: development
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 No one seems to maintain this library anymore.
 For new packages, please consider other solutions.
 .
 This package contains the development files and unstripped static
 library.

Package: libflorist2021
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: POSIX.5 Ada interface to operating system services: shared library
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 No one seems to maintain this library anymore.
 For new packages, please consider other solutions.
 .
 This package contains the run-time shared library.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2003-2014 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2022 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

######################
# Set some variables #
######################

soversion != \
  sed -n '/^Package: libflorist\([0-9.]\+\)$$/{s//\1/p;q}' debian/control

DPKG_EXPORT_BUILDFLAGS := 1
DEB_CFLAGS_MAINT_APPEND := -w
DEB_ADAFLAGS_MAINT_APPEND := -gnatVa -gnatafno
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/debian_packaging.mk

%:
	dh $@

# Disable autoheader, upstream maintains the macros manually.
.PHONY: override_dh_autoreconf
override_dh_autoreconf:
	AUTOHEADER=true dh_autoreconf

.PHONY: $(addprefix override_dh_auto_, configure build test install)
# dh_auto_clean is OK.

override_dh_auto_configure:
	dh_auto_configure -- CC=gnatgcc

override_dh_auto_build:
	dh_auto_build -- LIBRARY_TYPE_OPTION=-XLIBRARY_TYPE=static \
	  'GPRBUILD_FLAGS=$(GPRBUILDFLAGS)'
	florist_shared_object_version=$(soversion) \
	dh_auto_build -- LIBRARY_TYPE_OPTION=-XLIBRARY_TYPE=relocatable \
	  'GPRBUILD_FLAGS=$(GPRBUILDFLAGS)'
